Subject: Re: Success! (was Re: External Monitor under Pismo)

From: Michel Dänzer <[email-masked]>
Date: Fri, 04 May 2001 14:05:10 +0200

"Jason E. Stewart" wrote:
>
> "Michel Dänzer" <[email-masked]> writes:
>
> > Jason E. Stewart wrote:
> >
> > > "Michel Dänzer" <[email-masked]> writes:
> >
> > >> I am reluctant to do that. I'd prefer to get a solution into XFree86.
> > >> Someone please try the attached patch against current CVS. It turns
> > >> Option
> >
> > >> "UseBIOSDisplay" (which probably doesn't work for us - no BIOS here...)
> > >> into Option "Display" which accepts modes "CRT", "FP", "Mirror" and
> > >> "BIOS".
> >
> > > I've had a heck of a time with this one. Using the new r128_drv.o
> > > that
> >
> > > I compile from the CVS HEAD gives me an error that the module is using
> > > a newer ABI than the server...
> > > So I compiled and installed the whole X package from CVS (into
> >
> > > /usr/X11R6-local using ProjectRoot).
> >
> > Might have been enough to use the new XFree86 binary as well.
>
> Bummer... seems like XFree86 has ProjectRoot hard-coded into the
> binary. I'll have to recompile with ProjectRoot not redefined.

Why?

Note that you needn't install anything to try a new version, check out the
-modulepath option of the XFree86 binary. Sorry I forgot to point this out
earlier.

--
Earthling Michel Dänzer (MrCooper)    \   Debian GNU/Linux (powerpc) developer
CS student, Free Software enthusiast   \        XFree86 and DRI project member

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/